
<div class="row">
    <div class="col-lg-12">
        <div class="card w-100">
          
            <div class="card-body border-top">
              <h3 class="font-medium mb-3">Agregar contacto de emergencias</h3>


                <form
                *ngIf="!isSuccessful"
                name="form"
                (ngSubmit)="f.form.valid && onSubmit()"
                #f="ngForm"
                novalidate
              >


              <p>
                <label for=""  >Paciente</label>
          
                   <select   class="form-control" name="idPaciente"  [(ngModel)]="form.idPaciente"
                   style="background-color: #fff; " >
                    <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
                      {{ paciente.nombre }} {{ paciente.apellido }}
                    </option>
                  </select>
             </p>

             
              
    <p>
        <label for="">Nombre</label>
        <input type="text" name="nombre" class="form-control" placeholder="" [(ngModel)]="form.nombre">
    </p>

    

   
        <label for="">Teléfono</label>
        <div style="        height: 50px;    ">
        <select name="" id="" class="form-control" style="width: 15%;float: left;"><Option>(+549)</Option></select>
        <input type="number" maxlength="10" name="telefono" class="form-control" style="width: 80%;float: left;" placeholder="" [(ngModel)]="form.telefono">
      </div>
   
  <label for="">¿A quién ayuda este contacto?</label><br><br>
    <p><label class="content-input"> 
      <input type="checkbox" name="paciente"   placeholder="" [(ngModel)]="form.paciente">
      <i></i> </label>
      <label for="">Paciente</label>
    </p>

    <p>   <label class="content-input"> 
      <input type="checkbox" name="cuidador"   placeholder="" [(ngModel)]="form.cuidador">
      <i></i></label>
      

      <label for="">Cuidador</label>
    </p>


    <p>
    <input type="submit" value="Agregar" name="Enviar"  class="btn btn-primary"  >
</p>
   



<div class="alert alert-warning" *ngIf="f.submitted && isSignUpFailed">
    Error:{{ errorMessage }}
    </div>
  
  
    <div class="alert alert-success" *ngIf="isSuccessful">
      ¡Registro exitoso!
      Se envió un mail al correo ingresado para verificar el registro.
    </div>

    
</form>

     
</div>
</div>
      </div>
    </div>